@charset "UTF-8";
/* CSS Document */

body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
  overflow: hidden;
}

a {
	text-decoration: none
}

.background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("https://picsum.photos/1920/1080");
  background-repeat: no-repeat;
  background-size: cover;
  filter: brightness(0.5);
  z-index: -1;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.title {
  margin-top: 0;
  margin-bottom: 32px;
  color: #fff;
  font-weight: 700;
  font-size: 64px;
  text-shadow: 2px 2px #000;
}

.tool-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.tool {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 32px;
  padding: 32px;
  background-color: #fff;
  border-radius: 2px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
  transition: all 0.2s ease-in-out;
}

.tool:hover {
  transform: translateY(-8px);
  box-shadow: 0 12px 16px rgba(0, 0, 0, 0.4);
}

.tool-icon {
  font-size: 80px;
  margin-bottom: 32px;
  color: #24a49c;
}

.tool-name {
  margin-top: 0;
  margin-bottom: 16px;
  color: #333;
  font-weight: 300;
  font-size: 32px;
  text-align: center;
}

.tool-button {
  margin-top: 0;
  padding: 8px 16px;
  background-color: #24a49c;
  color: #fff;
  font-weight: 700;
  border: none;
  border-radius: 2px;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.tool-button:hover {
  background-color: #2cbcac;
}

/* Styles für mobile Geräte */
@media only screen and (max-width: 768px) {

.background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 110%;
  background-image: url("https://picsum.photos/1080/1920");
  background-repeat: no-repeat;
  background-size: cover;
  filter: brightness(0.5);
  z-index: -1;
  overflow: hidden;
}	

.title {
  font-size: 48px;
}

.tool-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.tool {
  margin: 16px;
  padding: 16px;
  width: 80%;
  max-width: 400px;
  text-align: center; 
}

.tool-icon {
  font-size: 96px;
  margin-bottom: 16px;
}

.tool-name {
  font-size: 24px;
}

.tool-button {
  padding: 8px 12px;
  font-size: 14px;
}
}
